Subject: kudos! (netatalk-1.5rc2 + LinuxPPC works)

From: Lorenzo Perone <[email-masked]>
Date: Thu, 20 Dec 2001 01:51:25 +0100

hello,

yes, netatalk-1.5rc2 seems to compile also on LinuxPPC2000!

my configuration:
./configure --with-shadow --with-did=mtab

(I'm not using cnid for now, because of kernel panic issues on OSX's Darwin when using cnid. Besides, it should sync with samba to be an option for us).

issues I found:
1) on this distri, I had to do the usual change in configure:

where it tells:
  if test "$cross_compiling" = yes; then
  { echo "configure: error: cannot check setpgrp if cross compiling" 1>&2; exit 1; }

I changed to
  if test "$cross_compiling" = stopbegging; then
  { echo "configure: error: cannot check setpgrp if cross compiling" 1>&2; exit 1; }

(there's for sure a cleaner way to get thru the configure script, but this modification does the job.)

2) and, strange enough, these things have to be done _before_ make install:

chmod u+x on these dirs:
netatalk-1.5rc2/etc/afpd/nls/.deps
netatalk-1.5rc2/etc/afpd/nls/.libs

chmod u+x on 
netatalk-1.5rc2/etc/afpd/nls/makecode
netatalk-1.5rc2/etc/afpd/nls/parsecode

dunno why they are just rw when installing on LinuxPPC....
maybe 1) and 2) can be fixed before release?

I took over all of the settings I had before (netatalk-1.4+asun2.1.4-pre37_test);
and this time I didn't even have to mess up with uams... (a miracle)
Hope this release can stay in production...
(Yes, I have a backup, and I'll keep it freezed for a few days ;).

:-)

Regards,
Lorenzo